%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global major		1
%define api             2
%global libname		%mklibname gcalc %{api} %{major}
%global devname		%mklibname -d gcalc

# temp fix bc of req vs prov issue ('libgcalc-1.so()' vs 'libgcalc-1.so.0.0.0()'):
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^libgcalc-2.so|^libgci-1.so

%global gtksourceview_version 5.3.0
%global libadwaita_version 1.0.0

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:		gnome-calculator
Version:	42.2
Release:	%mkrel 1
Summary:	GNOME Desktop calculator
Group:		Office
License:	GPLv3+
URL:		https://wiki.gnome.org/Apps/Calculator
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libmpc-devel
BuildRequires:	meson
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(gtksourceview-5) >= %{gtksourceview_version}
BuildRequires:  pkgconfig(libadwaita-1) >= %{libadwaita_version}
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(mpfr)
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	vala
Provides:	gcalctool = %{version}
Obsoletes:	gcalctool

%description
Calculator is an application that solves mathematical equations and is
suitable as a default application in a Desktop environment.

What Calculator is:
- A tool for calculating mathematical equations.
- Uses standard mathematical notation where possible.
- Easy enough to use for simple maths.
- Powerful enough for mid-level mathematics.
- Fast to load and responsive to input.
- Appropriately sized to fit into standard screen resolutions.
- Fully accessible.
- Well documented.
- Integrated into the GNOME Desktop.

What Calculator is not:
- It does not emulate any existing calculator interfaces, hardware or software.
- It is not a power-tool for professional mathematicians.
- It is not a programming language.

%package        -n %devname
Summary:        Development files for %{name}
Group:              Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -qn %{name}-%{tarball_version}
%apply_patches

%build
%meson
%meson_build

%install
rm -rf %buildroot
%meson_install

rm -rf %buildroot/%{_datadir}/help
rm -rf %buildroot/%{_datadir}/devhelp
sd "Name=Calculator" "Name=GCalculator" %buildroot/%{_datadir}/applications/org.gnome.Calculator.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Utility" \
    --remove-category="Calculator" \
  --add-category="Office" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

  %find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%{_bindir}/gcalccmd
%{_bindir}/%{name}
%{_libdir}/girepository-1.0/GCalc-2.typelib
%{_libdir}/girepository-1.0/GCi-1.typelib
%{_libexecdir}/%{name}-search-provider
%{_datadir}/applications/org.gnome.Calculator.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.calculator.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Calculator.SearchProvider.service
%{_datadir}/gnome-shell/search-providers/org.gnome.Calculator-search-provider.ini
%{_datadir}/metainfo/org.gnome.Calculator.appdata.xml
%{_iconsdir}/hicolor/*/apps/org.gnome.Calculator*.*
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/gcalccmd.1*
%{_libdir}/libgcalc-%{api}.so.%{major}*
%{_libdir}/libgci-1.so.0*

%files -n %devname
%{_includedir}/gci-2/
%{_includedir}/gcalc-2/
%{_libdir}/libgcalc-2.so
%{_libdir}/libgci-1.so
%{_libdir}/pkgconfig/gcalc-2.pc
%{_libdir}/pkgconfig/gci-1.pc
%{_datadir}/gir-1.0/GCalc-2.gir
%{_datadir}/gir-1.0/GCi-1.gir
%{_datadir}/vala/vapi/gcalc-2.deps
%{_datadir}/vala/vapi/gcalc-2.vapi
%{_datadir}/vala/vapi/gci-1.deps
%{_datadir}/vala/vapi/gci-1.vapi


%changelog
* Fri Sep 09 2022 tex - 42.2-1pclos2022
- create pkg
